<?php require_once "header.php" ?>

    <div class="mt-4 mb-4">
        <h1 class="display-4"><?= $user->getFirstName() . " " . $user->getSurname() ?></h1>
    </div>

<?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
    <div class="alert alert-info">
        <strong>Équipe
            :</strong> <?= $team === null ? "Pas d'équipe" : "<a href=\"/equipe/" . $team->getTrigram() . "\">"
			. $team->getName() . " (" . $team->getTrigram() . ")</a>" ?>
    </div>
<?php } ?>

<?php if ($user->getRole() == Role::PARTICIPANT) { ?>
    <div class="alert alert-info">
        <strong>Lycée :</strong> <?= $user->getSchool() ?><br/>
        <strong>Classe :</strong> <?= SchoolClass::getTranslatedName($user->getClass()) ?>
    </div>
<?php } elseif ($user->getDescription() != "") { ?>
    <div class="alert alert-info">
        <strong>Description :</strong> <?= $user->getDescription() ?>
    </div>
<?php } ?>

    <div class="alert alert-info">
        <strong>Adresse e-mail :</strong> <a href="mailto:<?= $user->getEmail() ?>"><?= $user->getEmail() ?></a>
    </div>

    <div class="alert alert-info">
        <strong>Autorise Animath à envoyer des mails :</strong> <?= $user->doReceiveAnimathMails() ? "oui" : "non" ?>
    </div>

    <hr/>

<?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>
    <div class="mt-4 mb-4">
        <h1 class="display-5">Autorisation de droit à l'image :</h1>
    </div>
	<?php
	printDocuments($documents);
}

require_once "footer.php";